Package org.apache.sling.scripting.sightly.render

## Class RenderUnit.FluentMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​Object>
    - - org.apache.sling.scripting.sightly.render.RenderUnit.FluentMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,​Object>`

Enclosing class:
  RenderUnit

    protected static class RenderUnit.FluentMap
    extends HashMap<String,​Object>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Constructor Summary

Constructors
`protected` `FluentMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RenderUnit.FluentMap` `with​(String name, Object value)` Fluent variant of put.

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### FluentMap

    protected FluentMap()

### Method Detail

#### with

    public RenderUnit.FluentMap with​(String name,
                                     Object value)

Fluent variant of put.

Parameters:
  `name` - the name of the property
  `value` - the value of the property
Returns:
  this instance